%define name cln
%define version 1.1.5
%define release 3mdk
%define lib_name_orig lib%{name}
%define lib_major 2
%define lib_name %{lib_name_orig}%{lib_major}

Summary: C++ Class Library for Numbers
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Libraries
# CAUTION: pristine source actually tar.gzipped
Source: %{name}-%{version}.tar.bz2
URL: http://clisp.cons.org/~haible/packages-cln.html
Prereq: /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}

%description
A GPLed collection of C++ math classes and functions, that will bring
efficiency, type safety, algebraic syntax to everyone in a memory
and speed efficient library.

######################################################################
%package -n %{lib_name}
Summary: C++ Class Library for Numbers
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
A GPLed collection of C++ math classes and functions, that will bring
efficiency, type safety, algebraic syntax to everyone in a memory
and speed efficient library.

######################################################################
%package -n %{lib_name}-devel
Summary: Development files for programs using the CLN library
Group: Development/C++
Requires: %{lib_name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{lib_name_orig}-devel = %{version}-%{release}


%description -n %{lib_name}-devel
This package is necessary if you wish to develop software based on
the CLN library.

######################################################################
%prep

%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -O2"
export CXXFLAGS="$RPM_OPT_FLAGS -O2 -fno-exceptions"

./configure --prefix=%_prefix --libdir=%_libdir

make

%install
rm -rf ${RPM_BUILD_ROOT}
install -d ${RPM_BUILD_ROOT}/usr
%makeinstall

rm -rf $RPM_BUILD_ROOT/usr/share/html
rm -rf $RPM_BUILD_ROOT/usr/share/dvi

%clean
rm -rf ${RPM_BUILD_ROOT}


%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%post -n %{lib_name}-devel
%_install_info %{name}.info

%preun -n %{lib_name}-devel
%_remove_install_info %{name}.info

######################################################################
%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING ChangeLog FILES NEWS README TODO*
%{_libdir}/*.so.*


%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc examples/*.cc
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/cln/*.h
%{_infodir}/*.info*
%{_mandir}/man1/cln-config.1*
%{_bindir}/cln-config
%{_datadir}/aclocal/*


%changelog
* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-3mdk
- rebuild

* Fri Jun 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-2mdk
- use --libdir

* Fri Jun 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-1mdk
- 1.1.5

* Wed Nov 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3

* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-1mdk
- added by Thomas Leclerc <leclerc@linux-mandrake.com> :
	- first Mandrake release

* Thu Aug  2 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 1.1.2-0.3mdk
- apply library policy
- use O2 since O3 fails

* Wed Aug  1 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 1.1.2-0.2mdk
- don't use configure macro

* Wed Aug  1 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 1.1.2-0.1mdk
- initial Mandrake buid
- spec modified from source archive (more macros)
- disable forcing libtoolize
